#pragma once

namespace Juliet
{
    using MouseID = uint8;

    enum class MouseButton : uint8
    {
        None    = 0,
        Left    = 1 << 0,
        Right   = 1 << 1,
        Middle  = 1 << 2,
        Button1 = 1 << 3,
        Button2 = 1 << 4,
    };

    // TODO : Replace by Vector2f
    struct MousePosition
    {
        float X;
        float Y;
    };

    extern bool          IsMouseButtonDown(MouseButton button);
    extern MousePosition GetMousePosition();
    extern MouseButton   GetMouseButtonState();
} // namespace Juliet
